package com.yijia.station.mapper;

import java.util.List;
import com.yijia.station.domain.StationClassStructure;

/**
 * 班结管理Mapper接口
 * 
 * @author yijia
 * @date 2020-12-14
 */
public interface StationClassStructureMapper 
{
    /**
     * 查询班结管理
     * 
     * @param id 班结管理ID
     * @return 班结管理
     */
    public StationClassStructure selectStationClassStructureById(Long id);

    /**
     * 查询班结管理列表
     * 
     * @param stationClassStructure 班结管理
     * @return 班结管理集合
     */
    public List<StationClassStructure> selectStationClassStructureList(StationClassStructure stationClassStructure);

    /**
     * 新增班结管理
     * 
     * @param stationClassStructure 班结管理
     * @return 结果
     */
    public int insertStationClassStructure(StationClassStructure stationClassStructure);

    /**
     * 修改班结管理
     * 
     * @param stationClassStructure 班结管理
     * @return 结果
     */
    public int updateStationClassStructure(StationClassStructure stationClassStructure);

    /**
     * 删除班结管理
     * 
     * @param id 班结管理ID
     * @return 结果
     */
    public int deleteStationClassStructureById(Long id);

    /**
     * 批量删除班结管理
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteStationClassStructureByIds(Long[] ids);

    /**
     *
     * @param stationClassStructure
     * @return
     */
    public  List<StationClassStructure> listPersonnelStructure(StationClassStructure stationClassStructure);

    /**
     *
     * @param classes
     * @return
     */
    public StationClassStructure selectStationClassStructureMax(StationClassStructure classes);

    /**
     *
     * @param stationClassStructure
     * @return
     */
    public List<StationClassStructure> listOilStructure(StationClassStructure stationClassStructure);
}
